org.richfaces.resource

## Class ResourceSkinUtils

- java.lang.Object
- - org.richfaces.resource.ResourceSkinUtils

-     public final class ResourceSkinUtils
      extends Object

  Utility class for manipulation with skin dependent resources.
  Author:
    "Lukas Fryc"

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `evaluateSkinInPath(String path, String skinName)` Returns path with `ResourceFactory.SKINNED_RESOURCE_PLACEHOLDER` replaced with actual skinName.
    `static boolean` | `isSkinDependent(String path)` Returns true when path skin is dependent, it means when it contains `ResourceFactory.SKINNED_RESOURCE_PLACEHOLDER`.
    `static String` | `prefixPathWithSkinPlaceholder(String path)` Prefix given path with `ResourceFactory.SKINNED_RESOURCE_PREFIX`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isSkinDependent

          public static boolean isSkinDependent(String path)

      Returns true when path skin is dependent, it means when it contains `ResourceFactory.SKINNED_RESOURCE_PLACEHOLDER`.
      Parameters:
        `path` - the path
      Returns:
        true when path skin is dependent, it means when it contains `ResourceFactory.SKINNED_RESOURCE_PLACEHOLDER`; false otherwise

    - #### evaluateSkinInPath

          public static String evaluateSkinInPath(String path,
                                                  String skinName)

      Returns path with `ResourceFactory.SKINNED_RESOURCE_PLACEHOLDER` replaced with actual skinName.
      Parameters:
        `path` - the path to evaluate skin
        `skinName` - the name of the skin
      Returns:
        path with `ResourceFactory.SKINNED_RESOURCE_PLACEHOLDER` replaced with actual skinName.

    - #### prefixPathWithSkinPlaceholder

          public static String prefixPathWithSkinPlaceholder(String path)

      Prefix given path with `ResourceFactory.SKINNED_RESOURCE_PREFIX`
      Parameters:
        `path` - the path to be prefixed
      Returns:
        given path with `ResourceFactory.SKINNED_RESOURCE_PREFIX`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.